classification
Title: curses configure checks fail if only /usr/include/ncursesw/curses.h is installed
Type: Stage:
Components: Build Versions: Python 3.3
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, Justin.Venus, devurandom, doko, haypo, python-dev, rpetrov
Priority: normal Keywords: needs review, patch

Created on 2012-07-07 01:04 by doko, last changed 2012-10-17 17:09 by Arfrever.

Files
File name Uploaded Description Edit
curses.diff doko, 2012-07-07 01:04 review
curses2.diff doko, 2012-07-07 01:17 review
curses3.diff doko, 2012-07-07 01:29 review
4-CROSS-avoid-ncursesw-include-path-hack.patch rpetrov, 2012-07-29 09:37 skip search in /usr/include/ncursesw if cross-build
Messages (7)
msg164765 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-07 01:04
the curses configure checks fail if only /usr/include/ncursesw/curses.h is installed (on a Debian/Ubuntu system, uninstall the libncurses5-dev package, and install the libncursesw5-dev package).

The attached patch adds -I/usr/include/ncursesw to CPPFLAGS for the tests.

I assume that most buildbot systems still have an /usr/include/curses.h installed, so the tests do the intended thing, because the features tested are the same in ncurses and ncursesw, but basically the wrong headers are used for these tests if both /usr/include/curses.h and /usr/include/ncursesw/curses.h are installed.
msg164766 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-07 01:08
New changeset 707761d59a4a by doko in branch 'default':
- Issue #15268: Search curses.h in /usr/include/ncursesw.
http://hg.python.org/cpython/rev/707761d59a4a
msg164767 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-07 01:10
can be closed if we don't bother to use the "wrong" header for the checks
msg164769 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-07 01:17
and only add the dir for the curses.h and nurses.h header checks
msg164771 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-07 01:29
and a variant, which moves all curses header related check together (curses3.diff)
msg164780 - (view) Author: Justin Venus (Justin.Venus) Date: 2012-07-07 04:22
I have a similar issue on Solaris and a patch[1] to fix it attached to issue 3786.

1) http://bugs.python.org/file26171/bug3786.patch
msg166732 - (view) Author: Roumen Petrov (rpetrov) * Date: 2012-07-29 09:37
Matthias, do not use hack if cross-build
History
Date User Action Args
2012-10-17 17:09:25Arfreversetnosy: + Arfrever
2012-10-17 08:46:59devurandomsetnosy: + devurandom
2012-07-29 09:37:33rpetrovsetfiles: + 4-CROSS-avoid-ncursesw-include-path-hack.patch
nosy: + rpetrov
messages: + msg166732

2012-07-07 04:22:51Justin.Venussetnosy: + Justin.Venus
messages: + msg164780
2012-07-07 01:33:11hayposetnosy: + haypo
2012-07-07 01:29:57dokosetfiles: + curses3.diff
keywords: + patch
messages: + msg164771
2012-07-07 01:18:07dokosetkeywords: + needs review, - patch
2012-07-07 01:17:53dokosetfiles: + curses2.diff

messages: + msg164769
2012-07-07 01:10:23dokosetmessages: + msg164767
2012-07-07 01:08:33python-devsetnosy: + python-dev
messages: + msg164766
2012-07-07 01:04:27dokocreate